---
linkTitle: "Documentation"
title: Introduction
---

Welcome to the Hextra documentation!

## What is Hextra?

**Hextra** is a modern, responsive and powerful [Hugo](https://gohugo.io/) theme built with [Tailwind CSS](https://tailwindcss.com/). It is inspired by Next.js theme [Nextra](https://github.com/shuding/nextra).

It is designed for building beautiful websites for documentation, blogs, books and landing pages.
It is easy to use out of the box, and batteries are included to make your site versatile and powerful.

## Features

- **Beautiful Design** - Based on Nextra, it uses Tailwind CSS to provide a modern design that makes your site look outstanding.
- **Responsive Layout and Dark Mode** - It looks great on all devices, from mobile, tablet to desktop. It also supports dark mode.
- **Lightweight and Fast** - Hextra is solely dependent on Hugo, one of the world's fastest static site generator that comes with just a single binary file.
- **Full-text Search** - Hextra offers built-in offline full-text search powered by [FlexSearch](https://github.com/nextapps-de/flexsearch).
- **Battery included** - Hextra supports Markdown, syntax highlighting, LaTeX, diagrams, and comes with Shortcodes components as building blocks for your Markdown content.
- **Multi-language Support** - Multi-language sites made easy with Hugo's multilingual mode.
- **SEO Friendly** - Out of the box support for SEO tags, Open Graph, and Twitter Cards.
- **Customizable** - You can easily customize the theme to make the site look the way you want.

## Next

Explore the following section to get started:

{{< cards >}}
  {{< card link="getting-started" title="Getting Started" icon="play" >}}
{{< /cards >}}
